<?php

namespace App\Models;

use CodeIgniter\Model;

class Model_kategori_mengajar extends Model
{
    public function all_data()
    {
        return $this->db->table('tbl_kategori_mengajar')
            ->orderBy('id_kategori_mengajar', 'DESC')
            ->get()
            ->getResultArray();
    }

    public function add($data)
    {
        $this->db->table('tbl_kategori_mengajar')->insert($data);
    }

    public function edit($data)
    {
        $this->db->table('tbl_kategori_mengajar')
            ->where('id_kategori_mengajar', $data['id_kategori_mengajar'])
            ->update($data);
    }

    public function delete_data($data)
    {
        $this->db->table('tbl_kategori_mengajar')
            ->where('id_kategori_mengajar', $data['id_kategori_mengajar'])
            ->delete($data);
    }
}
